Retrieve a card | Moov Documentation

Retrieve a card

Fetch a specific card associated with a Moov account.

Read our accept card payments guide to learn more.

To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/cards.read scope.

Endpoint

GET

/accounts/{accountID}/cards/{cardID}

Ask

curl -X GET "https://api.moov.io/accounts/{accountID}/cards/{cardID}" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.07.00"

Data Samples

Go

mc, _ := moov.NewClient()

var accountID string

mc.GetCard(ctx, accountID, card.CardID)

TypeScript

import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.cards.get({
    accountID: "1f590cf9-4db9-4241-8818-30f9c26362e8",
    cardID: "01234567-89ab-cdef-0123-456789abcdef",
  });

console.log(result);
}

run();

PHP

declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\